org.eclipse.viatra.query.runtime.rete.recipes.impl

## Class StringIndexMapEntryImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.viatra.query.runtime.rete.recipes.impl.StringIndexMapEntryImpl

- All Implemented Interfaces:
    java.util.Map.Entry<java.lang.String,java.lang.Integer>, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.common.util.BasicEMap.Entry<java.lang.String,java.lang.Integer>, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject

      public class StringIndexMapEntryImpl
      extends org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
      implements org.eclipse.emf.common.util.BasicEMap.Entry<java.lang.String,java.lang.Integer>

  An implementation of the model object 'String Index Map Entry'.

  The following features are implemented:

  - `Key`
  - `Value`
  Generated:

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`
    `protected int` | `hash`
    `protected java.lang.String` | `key` The cached value of the '`Key`' attribute.
    `protected static java.lang.String` | `KEY_EDEFAULT` The default value of the '`Key`' attribute.
    `protected java.lang.Integer` | `value` The cached value of the '`Value`' attribute.
    `protected static java.lang.Integer` | `VALUE_EDEFAULT` The default value of the '`Value`' attribute.

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StringIndexMapEntryImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, java.lang.Object newValue)`
    `protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
    `void` | `eUnset(int featureID)`
    `org.eclipse.emf.common.util.EMap<java.lang.String,java.lang.Integer>` | `getEMap()`
    `int` | `getHash()`
    `java.lang.String` | `getKey()`
    `java.lang.String` | `getTypedKey()`
    `java.lang.Integer` | `getTypedValue()`
    `java.lang.Integer` | `getValue()`
    `void` | `setHash(int hash)`
    `void` | `setKey(java.lang.String key)`
    `void` | `setTypedKey(java.lang.String newKey)`
    `void` | `setTypedValue(java.lang.Integer newValue)`
    `java.lang.Integer` | `setValue(java.lang.Integer value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map.Entry

      `comparingByKey, comparingByKey, comparingByValue, comparingByValue, equals, hashCode`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eNotify`

- - ### Field Detail

    - #### copyright

          public static final java.lang.String copyright

      See Also:
        Constant Field Values
      Generated:

    - #### KEY_EDEFAULT

          protected static final java.lang.String KEY_EDEFAULT

      The default value of the '`Key`' attribute.
      See Also:
        `getTypedKey()`
      Generated:
      Ordered:

    - #### key

          protected java.lang.String key

      The cached value of the '`Key`' attribute.
      See Also:
        `getTypedKey()`
      Generated:
      Ordered:

    - #### VALUE_EDEFAULT

          protected static final java.lang.Integer VALUE_EDEFAULT

      The default value of the '`Value`' attribute.
      See Also:
        `getTypedValue()`
      Generated:
      Ordered:

    - #### value

          protected java.lang.Integer value

      The cached value of the '`Value`' attribute.
      See Also:
        `getTypedValue()`
      Generated:
      Ordered:

    - #### hash

          protected int hash

      Generated:

  - ### Constructor Detail

    - #### StringIndexMapEntryImpl

          protected StringIndexMapEntryImpl()

      Generated:

  - ### Method Detail

    - #### eStaticClass

          protected org.eclipse.emf.ecore.EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
      Generated:

    - #### getTypedKey

          public java.lang.String getTypedKey()

      Generated:

    - #### setTypedKey

          public void setTypedKey(java.lang.String newKey)

      Generated:

    - #### getTypedValue

          public java.lang.Integer getTypedValue()

      Generated:

    - #### setTypedValue

          public void setTypedValue(java.lang.Integer newValue)

      Generated:

    - #### eGet

          public java.lang.Object eGet(int featureID,
                                       boolean resolve,
                                       boolean coreType)

      Specified by:
        `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
      Generated:

    - #### eSet

          public void eSet(int featureID,
                           java.lang.Object newValue)

      Specified by:
        `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
      Generated:

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
      Generated:

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
      Generated:

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
      Generated:

    - #### getHash

          public int getHash()

      Specified by:
        `getHash` in interface `org.eclipse.emf.common.util.BasicEMap.Entry<java.lang.String,java.lang.Integer>`
      Generated:

    - #### setHash

          public void setHash(int hash)

      Specified by:
        `setHash` in interface `org.eclipse.emf.common.util.BasicEMap.Entry<java.lang.String,java.lang.Integer>`
      Generated:

    - #### getKey

          public java.lang.String getKey()

      Specified by:
        `getKey` in interface `java.util.Map.Entry<java.lang.String,java.lang.Integer>`
      Generated:

    - #### setKey

          public void setKey(java.lang.String key)

      Specified by:
        `setKey` in interface `org.eclipse.emf.common.util.BasicEMap.Entry<java.lang.String,java.lang.Integer>`
      Generated:

    - #### getValue

          public java.lang.Integer getValue()

      Specified by:
        `getValue` in interface `java.util.Map.Entry<java.lang.String,java.lang.Integer>`
      Generated:

    - #### setValue

          public java.lang.Integer setValue(java.lang.Integer value)

      Specified by:
        `setValue` in interface `java.util.Map.Entry<java.lang.String,java.lang.Integer>`
      Generated:

    - #### getEMap

          public org.eclipse.emf.common.util.EMap<java.lang.String,java.lang.Integer> getEMap()

      Generated: